Bug 249316 - backport receive window mgmt code to for SCTP to RHEL4
backport receive window mgmt code to for SCTP to RHEL4
Status: CLOSED DUPLICATE of bug 200813
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
Martin Jenner
:
Depends On: 246722
Blocks: 430698
  Show dependency treegraph
 
Reported: 2007-07-23 14:05 EDT by Neil Horman
Modified: 2008-05-23 11:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-23 11:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to properly manage association rcvbuf space (18.42 KB, patch)
2007-07-23 14:09 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Neil Horman 2007-07-23 14:05:23 EDT
+++ This bug was initially created as a clone of Bug #246722 +++

Description of problem:
The current RHEL5 sctp implementation has a problem in which an associations
receive memory can be exhausted prior to its rwnd closing.  I've fixed it
upstream and it needs to be backported

-- Additional comment from pm-rhel@redhat.com on 2007-07-04 09:35 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 1 Neil Horman 2007-07-23 14:09:18 EDT
Created attachment 159798 [details]
patch to properly manage association rcvbuf space
Comment 2 RHEL Product and Program Management 2007-07-23 14:18:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Note You need to log in before you can comment on or make changes to this bug.